2018-12-12 18:32 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000068Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:10
ReporterQuix0r 
Assigned ToQuix0r 
PriorityhighSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000068: Auslagerung (moeglichst) aller HTML-Codes in Templates
DescriptionEs ist noch immer sehr viel HTML-Code in den Templates vorhanden. Dies kann bei Aenderungswuenschen am Aussehen des Scriptes fuer neue User (Betreiber) hinderlich sein, oder das Einspielen von Updates nicht mehr moeglich machen.

Auch im Zuge der kommenden Umstellung auf XHTML ist dies nicht gerade foerderlich.

Es sollten als zur Vorbereitung und zur (fast) stoerungsfreien Uebergang auf Templates alle Konstanten innerhalb des PHP-Code wie folgt schrittweise umgestellt werden. Auch im Hinblick auf die Umstellung von Konstanten auf Array-Elemente kann dies sehr gut vorbereitend sein.

Beispiele derzeit:
$OUT = <tr><td class=\"some_class\">".SOME_FOO_CONSTANT."</td></tr>\n";
oder:
$message = SOME_MESSAGE;

Nach Umstellung:
$OUT = <tr><td class=\"some_class\">{!SOME_FOO_CONSTANT!}</td></tr>\n";
bzw:
$message = getMessage('some_message');

getMessage() sollte dann so angepasst sein, zuerst in's Array und dann die Konstante, gross geschrieben zu suchen.

Um weiter zu verhindern, dass alle Templates von Gross- auf Kleinschreibung umzustellen, sollte getMessage() beim Pruefen auf's Array-Element den Elementnamen klein schreiben.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000004closedQuix0r Alle Sprachkonstanten in Array-Elemente umschreiben 
parent of 0000065closedQuix0r Meldungen auf Template "admin_settings_saved" umschreiben 
parent of 0000085assignedQuix0r br-Tags finden und eliminieren 
related to 0000069closedQuix0r Konstante "MEMBER_ORDER_PAGE1_NOTE" in Template verschieben 
related to 0000154assignedQuix0r HTML-Verbesserungen/-Entsorgungen am alten Code 
child of 0000070closedQuix0r HTML nach XHTML umstellen 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes

~0000382

Quix0r (administrator)

Eine ganze Reihe an Konstanten sind nun in die Konfiguration (temporaer) verlagert, um Speicherplatz/Gewschindigkeit zu optimieren. Bitte nun z.B. {?POINTS?} verwenden und nicht (wie voher) {!POINTS!}.

~0000608

Quix0r (administrator)

Mit Revision 3049 sollte nun das meiste ausgelagert sein. Den Rest muss man schauen, ob er wirklich extern benoetigt wird (ist meistens zu kleiner Code und oefters befinden sich Templates um diesen herum).

~0000685

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-08 01:01 Quix0r New Issue
2009-02-08 01:05 Quix0r Projection none => major rework
2009-02-08 01:05 Quix0r ETA none => > 1 month
2009-02-08 01:05 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-08 01:05 Quix0r Description Updated
2009-02-08 01:05 Quix0r Steps to Reproduce Updated
2009-02-08 01:05 Quix0r Additional Information Updated
2009-02-08 01:38 Quix0r Relationship added child of 0000070
2009-02-08 14:33 Quix0r Relationship added parent of 0000065
2009-02-08 14:36 Quix0r Relationship added related to 0000069
2009-02-19 16:01 Quix0r Description Updated
2009-02-19 16:04 Quix0r Description Updated
2009-02-19 16:18 Quix0r Relationship added related to 0000004
2009-02-20 02:04 Quix0r Relationship added parent of 0000085
2009-08-06 14:06 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:06 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-10-11 00:11 Quix0r Assigned To => Quix0r
2009-10-11 00:11 Quix0r Status new => assigned
2009-10-11 02:21 Quix0r Note Added: 0000382
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:34 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:38 Quix0r Fixed in Version 0.2.1-FINAL =>
2012-11-26 12:30 Quix0r Relationship added related to 0000154
2012-11-28 17:41 Quix0r Note Added: 0000608
2012-11-28 17:41 Quix0r Status assigned => resolved
2012-11-28 17:41 Quix0r Fixed in Version => 0.2.1-FINAL
2012-11-28 17:41 Quix0r Resolution open => fixed
2016-11-23 10:10 Quix0r Note Added: 0000685
2016-11-23 10:10 Quix0r Status resolved => closed
+Issue History